--[[
This is the array containing the data: 

1 - Zone:- Zone you are in, nil  means it doesn't matter 
2 - SubZone:- Subzone you are in, nil  means it doesn't matter 
3 - Amount:- Number of the items needed
4 - Item:- Item number to search for in bags and equipped
5 - Target:- NPC that should be targeted
6 - Aim:- Whether to target the NPC if not already
	1 = Targetexact
	2 = Target
	4 = Dead
7 - Quest:- Only use the item if quest is active and not completed (completed if neg)

The further down the list the higher the priority (by overwriting previous ones)
--]]

function DailyItem_MakeArray()

DailyItem_Quests = {};

-- Default
DailyItem_AddArrayLine(nil,nil,1,110560,nil,0,nil);																-- Garrison Hearthstone ()
DailyItem_AddArrayLine(nil,nil,1,140192,nil,0,nil);																-- Dalaran Hearthstone ()
DailyItem_AddArrayLine(nil,nil,1,6948,nil,0,nil);																-- Hearthstone ()

DailyItem_AddArrayLine("Molten Front",nil,1,70925,nil,0,nil);													-- Eternal Lunar Pear (Agility)
DailyItem_AddArrayLine("Molten Front",nil,1,70924,nil,0,nil);													-- Eternal Eye of Elune (Intellect)
DailyItem_AddArrayLine("Molten Front",nil,1,70926,nil,0,nil);													-- Eternal Moonberry (Spirit)
DailyItem_AddArrayLine("Molten Front",nil,1,70927,nil,0,nil);													-- Eternal Sunfruit (Strength)
DailyItem_AddArrayLine(nil,nil,1,32971,nil,0,nil);																-- Water Bucket()

-- Classic
DailyItem_AddArrayLine("The Temple of Atal'Hakkar","Sanctum of the Fallen God",1,10465,nil,0,nil);				-- Egg of Hakkar ()
DailyItem_AddArrayLine("Swamp of Sorrows","The Bloodmire",1,62548,"Fallen Stonard Warrior",4,27856);			-- Banner of the Fallen (Marking the Fallen
DailyItem_AddArrayLine("Blasted Lands","Rise of the Defiler",1,56012,"Loramus thge Defiled",4,25701);			-- Ston Knife of Stealing (You are Rakh'likh, Demon)

-- Argus Dailies
DailyItem_AddArrayLine("Antoran Wastes","Terminus",1,152657,"Immortal Squadron Fighter",1,nil);					-- Target Designator (The Immortal Squadron)
DailyItem_AddArrayLine("Mac'Aree","Conservatory of the Arcane,Wakener's Enclave",1,153249,"Resonating Augari Novitiate,Resonating Augari Summoner",1,nil);	-- Y'mera's Attuning Crystal (Peer Review)

-- Nightfallen Dailies
DailyItem_AddArrayLine("Suramar","Falanaar Tunnels",1,140916,nil,0,42090);										-- Satchel of Locklimb Powder (Skittering Subjects)
DailyItem_AddArrayLine("Suramar","Felsoul Hold",1,142509,nil,0,44816);											-- Withered Targeting Orb (Continued Exposure)

-- Legion Fishing
DailyItem_AddArrayLine("Dalaran","Margoss's Retreat",1,141975,nil,0,nil);										-- Mark of Aquaos (N/A)

-- Pandaland farming
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95449,"Tilled Soil",0,nil);		-- Bag of Enigma Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80809,"Tilled Soil",0,nil);		-- Bag of Green Cabbage Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89848,"Tilled Soil",0,nil);		-- Bag of Jade Squash Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,84782,"Tilled Soil",0,nil);		-- Bag of Juicycrunch Carrot Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95451,"Tilled Soil",0,nil);		-- Bag of Magebulb Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85153,"Tilled Soil",0,nil);		-- Bag of Mogu Pumpkin Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85162,"Tilled Soil",0,nil);		-- Bag of Pink Turnip Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95457,"Tilled Soil",0,nil);		-- Bag of Raptorleaf Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85158,"Tilled Soil",0,nil);		-- Bag of Red Blossom Leek Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,84783,"Tilled Soil",0,nil);		-- Bag of Scallion Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95447,"Tilled Soil",0,nil);		-- Bag of Snakeroot Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95445,"Tilled Soil",0,nil);		-- Bag of Songbell Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89849,"Tilled Soil",0,nil);		-- Bag of Striped Melon Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85163,"Tilled Soil",0,nil);		-- Bag of White Turnip Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,95454,"Tilled Soil",0,nil);		-- Bag of Windshear Cactus Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89847,"Tilled Soil",0,nil);		-- Bag of Witchberry Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85267,"Tilled Soil",0,nil);		-- Autumn Blossom Sapling ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85268,"Tilled Soil",0,nil);		-- Spring Blossom Sapling ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85269,"Tilled Soil",0,nil);		-- Winter Blossom Sapling ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85216,"Tilled Soil",0,nil);		-- Enigma Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,79102,"Tilled Soil",0,nil);		-- Green Cabbage Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89328,"Tilled Soil",0,nil);		-- Jade Squash Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80590,"Tilled Soil",0,nil);		-- Juicycrunch Carrot Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85217,"Tilled Soil",0,nil);		-- Magebulb Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80592,"Tilled Soil",0,nil);		-- Mogu Pumpkin Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80594,"Tilled Soil",0,nil);		-- Pink Turnip Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89202,"Tilled Soil",0,nil);		-- Raptorleaf Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80593,"Tilled Soil",0,nil);		-- Red Blossom Leek Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80591,"Tilled Soil",0,nil);		-- Scallion Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,85215,"Tilled Soil",0,nil);		-- Snakeroot Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89233,"Tilled Soil",0,nil);		-- Songbell Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89329,"Tilled Soil",0,nil);		-- Striped Melon Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80595,"Tilled Soil",0,nil);		-- White Turnip Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89197,"Tilled Soil",0,nil);		-- Windshear Cactus Seed ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89326,"Tilled Soil",0,nil);		-- Witchberry Seeds ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,79104,"Parched *",0,nil);		-- Rusty Watering Can ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,80513,"Infested *",0,nil);		-- Vintage Bug Sprayer ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89880,"Growing *",0,nil);		-- Dented Shovel ()
DailyItem_AddArrayLine("Valley of the Four Winds","Sunsong Ranch",1,89815,"Untilled Soil",0,nil);	-- Master Plough ()

-- Fishing Dailies
--DailyItem_AddArrayLine("Krasarang Wilds","Sarjun Depths",1,80403,nil,0,30658);--Angler's Fishing Spear(Huff & Puff)
DailyItem_AddArrayLine("Krasarang Wilds","Sarjun Depths,",1,80403,nil,0,nil);--Angler's Fishing Spear(Huff & Puff)

-- Foam Sword for funzies
DailyItem_AddArrayLine(nil,nil,1,45061,nil,0,nil);		--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45176,nil,0,nil);		--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45177,nil,0,nil);		--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45178,nil,0,nil);		--Foam Sword()
DailyItem_AddArrayLine(nil,nil,1,45179,nil,0,nil);		--Foam Sword()

-- Rewards or other items you should just use whenever you have them.

DailyItem_AddArrayLine(nil,nil,1,10752,nil,0,nil);		-- Emerald Encrusted Chest
DailyItem_AddArrayLine(nil,nil,1,12122,nil,0,nil);		-- Kum'Isha's Junk
DailyItem_AddArrayLine(nil,nil,1,20393,nil,0,nil);		-- Treat Bag (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,20768,nil,0,nil);		-- Oozing Bag
DailyItem_AddArrayLine(nil,nil,1,21228,nil,0,nil);		-- Mithril Bound Trunk
DailyItem_AddArrayLine(nil,nil,1,21156,nil,0,nil);		-- Scarab Bag
DailyItem_AddArrayLine(nil,nil,1,32777,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,34077,nil,0,nil);		-- Crudely Wrapped Gift (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,37586,nil,0,nil);		-- Handful of Candy (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,44113,nil,0,nil);		-- Small Spice Bag (Cooking Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,44663,nil,0,nil);		-- Abandoned Adventurer's Satchel (Rare drop)
DailyItem_AddArrayLine(nil,nil,1,45724,nil,0,nil);		-- Champion's Purse (Argent Tournament Reward)
DailyItem_AddArrayLine(nil,nil,1,46007,nil,0,nil);		-- Bag of Fishing Treasures (Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,nil);		-- Lovely Charm (A Gift for the)
DailyItem_AddArrayLine(nil,nil,1,52006,nil,0,nil);		-- Sack of Frosty Treasures (ICC Random Quest Reward)
DailyItem_AddArrayLine(nil,nil,1,52676,nil,0,nil);		-- Cache of the Ley-Guardian (Oculus Random Heroic Reward)
DailyItem_AddArrayLine(nil,nil,1,54516,nil,0,nil);		-- Loot-Filled Pumpkin (Hallows' End Reward)
DailyItem_AddArrayLine(nil,nil,1,67414,nil,0,nil);		-- Bag of Shiny Things (Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,67597,nil,0,nil);		-- Sealed Crate (Fishing Drop)
DailyItem_AddArrayLine(nil,nil,1,69818,nil,0,nil);		-- Giant Sack (Zul'Gurub Drop)

-- Pandaria

DailyItem_AddArrayLine(nil,nil,1,87217,nil,0,nil);		-- Small Bag of Goods (Pandarian Mob Drop)
DailyItem_AddArrayLine(nil,nil,1,90839,nil,0,nil);		-- Cache of Sha-Touched Gold (Sha of Anger)
DailyItem_AddArrayLine(nil,nil,1,90840,nil,0,nil);		-- Marauder's Gleaming Sack of Gold (Pandarian Mob Drop)
DailyItem_AddArrayLine(nil,nil,1,94158,nil,0,nil);		-- Big Bag of Zandalari Supplies (Pandarian Mob Drop)
DailyItem_AddArrayLine(nil,nil,1,94159,nil,0,nil);		-- Small Bag of Zandalari Supplies (Pandarian Mob Drop)
DailyItem_AddArrayLine(nil,nil,1,94220,nil,0,nil);		-- Sunreaver Bounty (Isle of Thunder Quest Reward)
DailyItem_AddArrayLine(nil,nil,1,95601,nil,0,nil);		-- Shiny Pile of Refuse (Oondasta)
DailyItem_AddArrayLine(nil,nil,1,95602,nil,0,nil);		-- Stormtouched Cache (Pandarian Mob Drop)
DailyItem_AddArrayLine(nil,nil,1,94296,nil,0,nil);		-- Cracked Primal Egg (Isle of Giants)
DailyItem_AddArrayLine(nil,nil,1,97153,nil,0,nil);		-- Spoils of the Thunder King (Pandarian Weekly Raid Quest)
DailyItem_AddArrayLine(nil,nil,1,103624,nil,0,nil);		-- Treasures of hte Vale (Pandarian Mob Drop)
DailyItem_AddArrayLine(nil,nil,1,104296,nil,0,nil);		-- Ordon Ceremonial Robes (Pandarian Mob Drop)
DailyItem_AddArrayLine(nil,nil,1,106130,nil,0,nil);		-- Big Bag of Herbs (Pandarian Mob Drop)

-- Darkmoon Faire
DailyItem_AddArrayLine(nil,nil,1,93724,nil,0,nil);		-- Sealed Darkmoon Crate
DailyItem_AddArrayLine(nil,nil,1,124670,nil,0,nil);		-- Darkmoon Game Prize

-- Blingtron
DailyItem_AddArrayLine(nil,nil,1,113258,nil,0,nil);		-- Blington 5000 Gift Package
DailyItem_AddArrayLine(nil,nil,1,132892,nil,0,nil);		-- Blington 6000 Gift Package
DailyItem_AddArrayLine(nil,nil,1,168740,nil,0,nil);		-- Blington 7000 Gift Package

-- WoD Caches

DailyItem_AddArrayLine(nil,nil,1,112623,nil,0,nil);		-- Pack of Fishing Supplies (Garrison Fishing Daily)
DailyItem_AddArrayLine(nil,nil,1,116980,nil,0,nil);		-- Invader's Forgotten Treasure (Garrison Invasion)
DailyItem_AddArrayLine(nil,nil,1,120319,nil,0,nil);		-- Invader's Damaged Cache (Garrison Invasion)
DailyItem_AddArrayLine(nil,nil,1,120320,nil,0,nil);		-- Invader's Abandoned Sack (Garrison Invasion)
DailyItem_AddArrayLine(nil,nil,1,122163,nil,0,nil);		-- Routed Invader's Crate of Spoils (Garrison Invasion)
DailyItem_AddArrayLine(nil,nil,1,123975,nil,0,nil);		-- Greater Bounty Spoils (Garrison Raid Weekly)

DailyItem_AddArrayLine(nil,nil,1,128025,nil,0,nil);		-- Rattling Iron Cage (Tanaan Jungle Rare Mount)

-- Legion Caches

DailyItem_AddArrayLine(nil,nil,1,150924,nil,0,nil);		-- Greater Tribute on the Broken Isles
DailyItem_AddArrayLine(nil,nil,1,152922,nil,0,nil);		-- Brittle Krokul Chest (Paragon)
DailyItem_AddArrayLine(nil,nil,1,152923,nil,0,nil);		-- Gleaming Footlocker (Paragon)

-- BfA Caches

DailyItem_AddArrayLine(nil,nil,1,160439,nil,0,nil);		-- Adventurer's Footlocker (Class Trial)
DailyItem_AddArrayLine(nil,nil,1,166299,nil,0,nil);		-- Honorbound Supplies

DailyItem_AddArrayLine(nil,nil,30,168217,nil,0,nil);	-- Hardened Springs (Mechagon)
DailyItem_AddArrayLine(nil,nil,1,168264,nil,0,nil);		-- Recycling Requisition (Mechagon)
DailyItem_AddArrayLine(nil,nil,1,168266,nil,0,nil);		-- Strange Recycling Requisition (Mechagon)

DailyItem_AddArrayLine(nil,nil,1,173372,nil,0,nil);		-- Cache of the Black Empire (7.3)

-- Shadowlands Caches

DailyItem_AddArrayLine(nil,nil,1,171210,nil,0,nil);		-- Satchel of Nature's Bounty (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,171211,nil,0,nil);		-- Venthir's Coin Purse (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,174652,nil,0,nil);		-- Satchel of Forgotten Heirlooms (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,178128,nil,0,nil);		-- Pouch of Shinies (Shadowlands)

DailyItem_AddArrayLine(nil,nil,1,180355,nil,0,nil);		-- Ornate Pyx (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,180646,nil,0,nil);		-- Supplies of the Undying Army (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,180647,nil,0,nil);		-- Ascended Supplies (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,180648,nil,0,nil);		-- Court of Harvesters Supplies (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,180649,nil,0,nil);		-- Wild Hunt Supplies (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181372,nil,0,nil);		-- Tribute of the Ascended (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181475,nil,0,nil);		-- Bounty of the Grove Wardens (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181476,nil,0,nil);		-- Tribute of the Wild Hunt (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181556,nil,0,nil);		-- Tribute of the Court (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181557,nil,0,nil);		-- Favor of the Court (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181732,nil,0,nil);		-- Tribute of the Ambitious (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181733,nil,0,nil);		-- Tribute of the Duty-Bound (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,181741,nil,0,nil);		-- Tribute of the Paragon (Shadowlands)

DailyItem_AddArrayLine(nil,nil,1,183701,nil,0,nil);		-- Cleansing Rite Materials (Kyrian Pelagos Conduit)

DailyItem_AddArrayLine(nil,nil,1,184395,nil,0,nil);		-- Fallen Adventurer's Cache (The Maw)

DailyItem_AddArrayLine(nil,nil,1,184630,nil,0,nil);		-- Adventurer's Tailoring Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184631,nil,0,nil);		-- Adventurer's Enchanting Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184632,nil,0,nil);		-- Champion's Fish Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184633,nil,0,nil);		-- Champion's Meat Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184634,nil,0,nil);		-- Adventurer's Herbalism Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184635,nil,0,nil);		-- Adventurer's Mining Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184636,nil,0,nil);		-- Adventurer's Skinning Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184637,nil,0,nil);		-- Hero's Meat Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184638,nil,0,nil);		-- Hero's Fish Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184639,nil,0,nil);		-- Champion's Tailoring Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184640,nil,0,nil);		-- Champion's Skinning Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184641,nil,0,nil);		-- Champion's Mining Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184642,nil,0,nil);		-- Champion's Herbalism Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184643,nil,0,nil);		-- Champion's Enchanting Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184644,nil,0,nil);		-- Hero's Tailoring Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184645,nil,0,nil);		-- Hero's Skinning Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184646,nil,0,nil);		-- Hero's Mining Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184647,nil,0,nil);		-- Hero's Herbalism Cache (Shadowlands)
DailyItem_AddArrayLine(nil,nil,1,184648,nil,0,nil);		-- Hero's Enchanting Cache (Shadowlands)

DailyItem_AddArrayLine(nil,nil,1,185765,nil,0,nil);		-- Shipment of Heavy Callous Hide (Traded)
DailyItem_AddArrayLine(nil,nil,1,185832,nil,0,nil);		-- Shipment of Elethium Ore (Traded)
DailyItem_AddArrayLine(nil,nil,1,185833,nil,0,nil);		-- Shipment of Lightless Silk (Traded)

DailyItem_AddArrayLine(nil,nil,1,185940,nil,0,nil);		-- Pristine Survival Kit (Class Trial)

DailyItem_AddArrayLine(nil,nil,1,185990,nil,0,nil);		-- Harvester's War Chest (Korthia)
DailyItem_AddArrayLine(nil,nil,1,185991,nil,0,nil);		-- War Chest of the Wild Hunt (Korthia)
DailyItem_AddArrayLine(nil,nil,1,185993,nil,0,nil);		-- Ascended War Chest (Korthia)
DailyItem_AddArrayLine(nil,nil,1,186196,nil,0,nil);		-- Death's Advance War Chest (Korthia)

DailyItem_AddArrayLine(nil,nil,1,186533,nil,0,nil);		-- Cache of Sanctum Measures (Weekend)

DailyItem_AddArrayLine(nil,nil,1,186688,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,186690,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,186692,nil,0,nil);		-- Gold Filled Helmet (Korthia)
DailyItem_AddArrayLine(nil,nil,1,186707,nil,0,nil);		-- Gold Filled Crate (Korthia)
DailyItem_AddArrayLine(nil,nil,1,186970,nil,0,nil);		-- Feeder's Hand and Key (Korthia)
DailyItem_AddArrayLine(nil,nil,1,187278,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,187346,nil,0,nil);		-- Lost Moment (Korthia)
DailyItem_AddArrayLine(nil,nil,1,187354,nil,0,nil);		-- Abandoned Broker Satchel (Korthia)
DailyItem_AddArrayLine(nil,nil,1,187440,nil,0,nil);		-- Feather-Stuffed Helm (Korthia)
DailyItem_AddArrayLine(nil,nil,1,187543,nil,0,nil);		-- Death's Advance War Chest (Korthia)
DailyItem_AddArrayLine(nil,nil,1,187569,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,187572,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,187573,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,187574,nil,0,nil);		-- Broker's Overflowing Bucket (Korthia)
DailyItem_AddArrayLine(nil,nil,1,187575,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,187576,nil,0,nil);
DailyItem_AddArrayLine(nil,nil,1,187577,nil,0,nil);

DailyItem_AddArrayLine(nil,nil,1,190339,nil,0,nil);		-- Enlightned Offering (Zereth Mortis)
DailyItem_AddArrayLine(nil,nil,1,190941,nil,0,nil);		-- Teachings of the Elders (Zereth Mortis)
DailyItem_AddArrayLine(nil,nil,1,191139,nil,0,nil);		-- Tribute of the Enlightened Elders (Zereth Mortis)

-- Other stuff that needs many to combine
DailyItem_AddArrayLine(nil,nil,5,190198,nil,0,nil);		-- Sandworn Chest Key Fragment (Zereth Mortis)/

-- Just make the thing (Leatherwork?)...
DailyItem_AddArrayLine(nil,nil,3,2934,nil,0,nil);		-- Ruined Leather Scraps
DailyItem_AddArrayLine(nil,nil,5,25649,nil,0,nil);		-- Knothide Leather Scraps
DailyItem_AddArrayLine(nil,nil,5,33567,nil,0,nil);		-- Borean Leather Scraps
DailyItem_AddArrayLine(nil,nil,5,52977,nil,0,nil);		-- Savage Leather Scraps
DailyItem_AddArrayLine(nil,nil,5,72162,nil,0,nil);		-- Sha-Touched Leather
DailyItem_AddArrayLine(nil,nil,10,112156,nil,0,nil);	-- Blackened Dragonscale Fragments
DailyItem_AddArrayLine(nil,nil,10,112157,nil,0,nil);	-- Prismatic Dragonscale Fragments
DailyItem_AddArrayLine(nil,nil,10,112158,nil,0,nil);	-- Icy Dragonscale Fragments
DailyItem_AddArrayLine(nil,nil,10,112177,nil,0,nil);	-- Nerubian Chitlin Fragments

-- And now the herbs
DailyItem_AddArrayLine(nil,nil,10,109624,nil,0,nil);		-- Broken Frostweed Stem

DailyItem_AddArrayLine(nil,nil,1,46004,nil,0,-13845);	-- Sealed Vial of Poison(Fishing Daily)
DailyItem_AddArrayLine(nil,nil,1,48679,nil,0,-14203);	-- Waterlogged Recipe(Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,49667,nil,0,-24431);	-- Waterlogged Recipe(Fishing Daily Reward)
DailyItem_AddArrayLine(nil,nil,1,49676,nil,0,-24442);	-- Kvaldir Attack Plans(Argent Drop Quest)

DailyItem_AddArrayLine(nil,nil,1,33306,nil,0,nil);		-- Ram Racing Reins()
DailyItem_AddArrayLine(nil,nil,1,32971,nil,0,12135);	-- Water Bucket(Let the Fires Come!)
DailyItem_AddArrayLine(nil,nil,1,32971,nil,0,12139);	-- Water Bucket(Let the Fires Come!)
DailyItem_AddArrayLine(nil,nil,1,41989,nil,0,12958);	-- Vrykul Amulet(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42104,nil,0,12959);	-- Northern Ivory(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42105,nil,0,12960);	-- Iron Dwarf Brooch(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42106,nil,0,12961);	-- Proto Dragon Bone(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42107,nil,0,12962);	-- Elemental Armor Scrap(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,42108,nil,0,12963);	-- Scourge Curio(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,43101,nil,0,13100);	-- Meatloaf Pan(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43101,nil,0,13112);	-- Meatloaf Pan(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43139,nil,0,13103);	-- Empty Cheese Serving Platter(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43139,nil,0,13115);	-- Empty Cheese Serving Platter(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43142,nil,0,13107);	-- Empty Picnic Basket(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43142,nil,0,13116);	-- Empty Picnic Basket(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43147,nil,0,13102);	-- Stew Cookpot(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,43147,nil,0,13114);	-- Stew Cookpot(Cooking Daily)
DailyItem_AddArrayLine(nil,nil,1,45328,nil,0,13836);	-- Bloated Slippery Eel(Fishing Daily)

DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24613);	-- Lovely Charm(A Gift for the Banshee Queen)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24614);	-- Lovely Charm(A Gift for the High Chieftain)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24610);	-- Lovely Charm(A Gift for the High Priestess of Elune)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24597);	-- Lovely Charm(A Gift for the King of Stormwind)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24609);	-- Lovely Charm(A Gift for the Lord of Ironforge)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24611);	-- Lovely Charm(A Gift for the Prophet)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24615);	-- Lovely Charm(A Gift for the Regent Lord of Quel'Thalas)
DailyItem_AddArrayLine(nil,nil,1,49655,nil,0,24612);	-- Lovely Charm(A Gift for the Warchief)
DailyItem_AddArrayLine("Orgrimmar",nil,1,50131,nil,0,24536);		-- Snagglebolt's Air Analyzer(Something Stinks)
DailyItem_AddArrayLine("Stormwind City",nil,1,50131,nil,0,24655);	-- Snagglebolt's Air Analyzer(Something Stinks)
DailyItem_AddArrayLine(nil,nil,1,49668,nil,0,24629);	-- Crown Perfume Sprayer(A Perfect Puff of Perfume)
DailyItem_AddArrayLine(nil,nil,1,49669,nil,0,24635);	-- Crown Cologne Sprayer(A Cloudlet of Classy Cologne)
DailyItem_AddArrayLine(nil,nil,1,49670,nil,0,24636);	-- Crown Chocolate Sampler(Bonbon Blitz)

DailyItem_AddArrayLine(nil,nil,1,52507,nil,0,25157);	-- Stardust No. 2(Jewelcrafting Daily)
DailyItem_AddArrayLine(nil,nil,1,52507,nil,0,25159);	-- Stardust No. 2(Jewelcrafting Daily)
DailyItem_AddArrayLine("The Jade Forest","The Arboretum",5,"Fish Cake","Cooking",16,30149);		--Make these (A Feast for the Senses)
DailyItem_AddArrayLine("Orgrimmar",nil,3,"Solid Zephyrite","Jewelcrafting",16,25158);			--Make these (Nibbler, No!)
DailyItem_AddArrayLine("Stormwind City",nil,3,"Solid Zephyrite","Jewelcrafting",16,25105);		--Make these (Nibbler, No!)
DailyItem_AddArrayLine("Orgrimmar",nil,3,"Jagged Jasper","Jewelcrafting",16,25161);				--Make these (Ogrezonians in the Mood)
DailyItem_AddArrayLine("Stormwind City",nil,3,"Jagged Jasper","Jewelcrafting",16,25155);		--Make these (Ogrezonians in the Mood)
DailyItem_AddArrayLine("Stormwind City",nil,3,"Timeless Nightstone","Jewelcrafting",16,25154);	--Make these (A present for Lila)
DailyItem_AddArrayLine("Orgrimmar",nil,3,"Timeless Nightstone","Jewelcrafting",16,25160);		--Make these (A present for Lila)
DailyItem_AddArrayLine(nil,nil,1,58856,nil,0,nil);--Royal Monkfish(Big Gulp)

-- Quests to target an NPC that don't require an item

DailyItem_AddArrayLine("Orgrimmar",nil,0,nil,"Muddy Crawfish",2,26226);									-- Muddy Crawfish (Crawfish Creole)
DailyItem_AddArrayLine("Stormwind City",nil,0,nil,"Canal Crab",2,26177);								-- Canal Crab (Feeling Crabby?)
DailyItem_AddArrayLine("Uldum",nil,0,nil,"Weathered Nomad",2,-28736);									-- Fire From the Sky ()

-- Quests with items in specific zones

DailyItem_AddArrayLine("Hillsbrad Foothills","Southshore",1,20387,nil,0,nil);							-- Forsaken Stink Bomb Cluster (Hallow's End)
DailyItem_AddArrayLine("Durotar","",1,33096,nil,0,nil);													-- Complimentary Brewfest Sampler ()
DailyItem_AddArrayLine("Durotar","Thunder Ridge",1,58955,nil,0,26572);									-- Razgar's Fillet Knife (A Golden Opportunity)
DailyItem_AddArrayLine("Durotar","Thunder Ridge",1,58958,nil,0,26572);									-- Drowned Thunder Lizard Tail (A Golden Opportunity)

-- Outlands
DailyItem_AddArrayLine("Shadowmoon Valley","Netherwing Ledge",1,32503,nil,0,11020);						-- Yarzill's Mutton (A Slow Death)
DailyItem_AddArrayLine("Shadowmoon Valley","Netherwing Ledge",1,32680,"Disobedient Dragonmaw Peon",1,11055);		-- Booterang ()
DailyItem_AddArrayLine("Terokkar Forest","Razorthorn Rise",1,34255,nil,0,nil);							-- Razorthorn Flayer Gland ()
DailyItem_AddArrayLine("Terokkar Forest","Skettis,Veil Harr'ik,Veil Ala'rak,Terokk's Rest,Lower Veil Shil'ak,Upper Veil Shil'ak",1,32406,nil,0,11008);	-- Sky Guard Blasting Charges (Fires Over Skettis)
DailyItem_AddArrayLine("Blade's Edge Mountains","Forge Camp: Wrath,Forge Camp: Terror",1,32456,nil,0,11023);		-- Skyguard Bombs (Bomb Them Again!)
DailyItem_AddArrayLine("Blade's Edge Mountains","Forge Camp: Wrath,Forge Camp: Terror",1,32696,nil,0,11051);
DailyItem_AddArrayLine("Blade's Edge Mountains","Vortex Summit,Shartuul's Transporter",1,32698,"Aether Ray",1,11066);			-- Wrangling Rope (Wrangle More Aetiehr Rays!)
DailyItem_AddArrayLine("Isle of Quel'Danas","",1,34489,nil,0,11542);									-- Flaming Oil (Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","",1,34489,nil,0,11543);									-- Flaming Oil (Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","Sun's Reach Harbor",1,34338,nil,0,11496);					-- Mana Remnants (The Sanctum Wards)
DailyItem_AddArrayLine("Isle of Quel'Danas","Sun's Reach Armory",1,34500,nil,0,11544);					-- Ata'mal Armament (Ata'mal Armaments)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Bloodoath,The Dawnchaser",1,34489,nil,0,11542);		-- Flaming Oil (Intercept the Reinforcements)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Bloodoath,The Dawnchaser",1,34489,nil,0,11543);		-- Flaming Oil (Keeping the Enemy at Bay)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",1,34533,nil,0,11547);					-- Astromancer's Crystal (Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",1,34414,"Emissary of Hate",0,11538);	-- Shattered Sun Banner (The Battle for the Sun's Reach Armory)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dawning Square",1,34414,"Emissary of Hate",0,11537);	-- Shattered Sun Banner (The Battle Must Go On)
DailyItem_AddArrayLine("Isle of Quel'Danas","Greengill Coast",1,34533,nil,0,11547);						-- Astromancer's Crystal (Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","Greengill Coast",1,34483,nil,0,11541);						-- Orb of Murloc Control (Disrupt the Greengill Coast)
DailyItem_AddArrayLine("Isle of Quel'Danas","Dawnstar Village",1,34533,nil,0,11547);					-- Astromancer's Crystal (Know Your Ley Lines)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dead Scar",1,34475,nil,0,11532);						-- Arcane Charges (Distraction at the Dead Scar)
DailyItem_AddArrayLine("Isle of Quel'Danas","The Dead Scar",1,34475,nil,0,11533);						-- Arcane Charges (The Air Strikes Must Continue)
DailyItem_AddArrayLine("Isle of Quel'Danas",nil,1,34368,"Erratic Sentry",0,11524);						-- Attuned Crystal Cores (Erratic Behavior)
DailyItem_AddArrayLine("Isle of Quel'Danas",nil,1,34368,"Erratic Sentry",0,11525);						-- Attuned Crystal Cores (Further Conversions)

-- Wrath

DailyItem_AddArrayLine("Grizzly Hills","Blue Sky Logging Grounds",1,37576,"Wounded Westfall Infantry",1,12296); --Renewing Bandage (Life or Death)

DailyItem_AddArrayLine("Sholazar Basin","Rainspeaker Rapids,Wildgrowth Mangal,Rainspeaker Canopy",1,38622,nil,0,12704);	-- Lafoo's Bug Bag (Appeasing the Great Rain Stone) The Oracles
DailyItem_AddArrayLine("Sholazar Basin","Rainspeaker Rapids,Wildgrowth Mangal,Rainspeaker Canopy",1,38623,nil,0,12704);	-- Jaloot's Favourite Crystal (Appeasing the Great Rain Stone) The Oracles
DailyItem_AddArrayLine("Sholazar Basin","Rainspeaker Rapids,Wildgrowth Mangal,Rainspeaker Canopy",1,38624,nil,0,12704);	-- Moodle's Stress Ball (Appeasing the Great Rain Stone) The Oracles
DailyItem_AddArrayLine("Sholazar Basin","The Stormwright's Shelf",1,39571,nil,0,12726);					-- Drums of the Tempest (Song of Wind and Water) The Oracles
DailyItem_AddArrayLine("Sholazar Basin","Bittertide Lake,River's Heart,Wintergrasp River",1,39572,nil,0,12735);					-- Chime of Cleansing (A Cleansing Song) The Oracles
DailyItem_AddArrayLine("Sholazar Basin","The Glimmering Pillar,The Suntouched Pillar,The Mosslight Pillar,The Skyreach Pillar",1,39598,nil,0,12736);					-- Diodgerydoo of Contemplation (Song of Reflection) The Oracles
DailyItem_AddArrayLine("Sholazar Basin","The Stormwright's Shelf",1,39599,nil,0,12737);					-- Horn of Fecundity (Song of Fecundity) The Oracles
DailyItem_AddArrayLine("Sholazar Basin","The Lifeblood Pillar",1,39747,nil,0,12762);					-- Dormant Polished Crystal (Power of the Great Ones) The Oracles

DailyItem_AddArrayLine("Borean Tundra","Coldarra,The Nexus",1,35506,"Nexus Drake Hatchling",1,11919);	-- Raelorasz's Spear (Drake Hunt)
DailyItem_AddArrayLine("Borean Tundra","Coldarra,The Nexus",1,35506,"Nexus Drake Hatchling",1,11940);	-- Raelorasz's Spear (Drake Hunt)
DailyItem_AddArrayLine("Deepholm","Crumbling Depths",1,65514,nil,0,27048);								-- Ricket's Tickers (Underground Economy)
DailyItem_AddArrayLine("Deepholm","The Pale Roost",1,60266,nil,0,26659);								-- Stonework Mallet (Resonating Blow)
DailyItem_AddArrayLine("Deepholm","The Pale Roost",1,60266,nil,0,28391);								-- Stonework Mallet (The Restless Brood)
DailyItem_AddArrayLine("Dragonblight","Drak'Mar Lake",1,45000,nil,0,13669);								-- Winter Hyacinth (A Worthy Weapon)
DailyItem_AddArrayLine("Dragonblight","Drak'Mar Lake",1,45000,nil,0,13674);								-- Winter Hyacinth (A Worthy Weapon)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13603);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13666);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13741);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13746);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13752);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13757);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13673);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13762);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13768);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13773);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13778);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Grizzly Hills","Ashwood Lake,",1,44986,nil,0,13783);							-- Warts-B-Gone Lip Balm (A Blade Fit For A Champion)
DailyItem_AddArrayLine("Howling Fjord","",1,40946,nil,0,11472);											-- Anuniaq's Net (The Way to His Heart...)
DailyItem_AddArrayLine("Howling Fjord","Twin Shores",1,34127,nil,0,11472);								-- Tasty Reef Fish (The Way to His Heart...)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13616);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13670);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13675);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13743);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13748);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13754);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13759);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13764);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13770);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13775);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13780);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Howling Fjord","Winter's Breath Lake",1,45005,"Maiden of Winter's Breath Lake",1,13785);	-- Everburning Ember (The Edge Of Winter)
DailyItem_AddArrayLine("Hrothgar's Landing","",1,46870,nil,0,14077);									-- Confessor's Prayer Book (The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","The Sea Reaver's Run",1,46954,nil,0,14077);				-- Confessor's Prayer Book (The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","",1,46870,nil,0,14144);									-- Confessor's Prayer Book (The Light's Mercy)
DailyItem_AddArrayLine("Hrothgar's Landing","The Sea Reaver's Run",1,46954,nil,0,14144);				-- Confessor's Prayer Book (The Light's Mercy)
DailyItem_AddArrayLine("Icecrown",nil,1,46069,nil,0,nil);												-- Alliance Lance (Argent Tournament)
DailyItem_AddArrayLine("Icecrown",nil,1,46070,nil,0,nil);												-- Horde Lance (Argent Tournament)
DailyItem_AddArrayLine("Icecrown",nil,1,46106,nil,0,nil);												-- Argent Lance (Argent Tournament)
DailyItem_AddArrayLine("Icecrown","Njorndar Village,Jotunheim,Valhalas",1,42480,nil,0,12995);			-- Ebon Blade Banner(Leave Our Mark)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13295);					-- Flesh Giant Spine(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13295);					-- Pustulant Spinal Fluid(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13279);					-- Flesh Giant Spine(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13279);					-- Pustulant Spinal Fluid(Basic Chemistry)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13281);					-- Flesh Giant Spine(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13281);					-- Pustulant Spinal Fluid(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44009,nil,0,13297);					-- Flesh Giant Spine(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","Mord'rethar: The Death Gate",1,44010,nil,0,13297);					-- Pustulant Spinal Fluid(Neutralizing the Plague)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13288);								-- Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13289);								-- Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13264);								-- Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43968,nil,0,13276);								-- Abomination Reanimation Kit(That's Abominable!)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43608,nil,0,13261);								-- Copperclaw's Volatile Oil(Volatility)
DailyItem_AddArrayLine("Icecrown","The Broken Front",1,43608,nil,0,13239);								-- Copperclaw's Volatile Oil(Volatility)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13346);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13346);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13350);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13350);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13367);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13367);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44476,nil,0,13368);--Alumeth's Skull(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44480,nil,0,13368);--Alumeth's Remains(No Rest For The Wicked)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13321);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13322);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13356);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13357);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44246,"Dark Subjugator",0,13352);--Orb of Illusion(Drag and Drop)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",4,13342);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",4,13344);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",4,13358);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44433,"Enslaved Minion",4,13365);--Rod of Siphoning(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44434,nil,0,13342);--Dark Matter(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44434,nil,0,13344);--Dark Matter(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44434,nil,0,13358);--Dark Matter(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44434,nil,0,13365);--Dark Matter(Not a Bug)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44246,"Dark Subjugator",1,13318);--Orb of Illusion(Drag and Drop)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44246,"Dark Subjugator",1,13323);--Orb of Illusion(Drag and Drop)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44246,"Dark Subjugator",1,13352);--Orb of Illusion(Drag and Drop)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44246,"Dark Subjugator",1,13353);--Orb of Illusion(Drag and Drop)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13321);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13322);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13356);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44307,nil,0,13357);--Diluted Cult Tonic(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",10,44301,nil,0,13321);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",10,44301,nil,0,13322);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",10,44301,nil,0,13356);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",10,44301,nil,0,13357);--Tainted Essence(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13321);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13322);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13356);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","Aldur'thar: The Desolation Gate",1,44304,nil,0,13357);--Writhing Mass(Retest Now)
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",1,44212,"Skybreaker Recon Fighter",1,13313);--SGM-3()
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",1,44212,"Skybreaker Recon Fighter",1,13331);--SGM-3()
DailyItem_AddArrayLine("Icecrown","The Valley of Fallen Heroes",1,47033,"Fallen Hero's Spirit",0,14107);--Light-Blessed Relic(The Fate Of The Fallen)
DailyItem_AddArrayLine("Icecrown","Ironwall Rampart",1,44186,nil,0,13312);--Rune of Distortion(The Ironwall Rampart)
DailyItem_AddArrayLine("Icecrown","Ironwall Rampart",1,44186,nil,0,13337);--Rune of Distortion(The Ironwall Rampart)
DailyItem_AddArrayLine("Icecrown","The Conflagration",1,44653,"Skeletal Reaver",4,13335);--Volatile Acid(Before the Gate of Horror)
DailyItem_AddArrayLine("Icecrown","The Conflagration",1,44653,"Skeletal Reaver",4,13329);--Volatile Acid(Before the Gate of Horror)
DailyItem_AddArrayLine("Icecrown","",1,47036,nil,0,nil);--Fresh Chum(Argent Tournament)
DailyItem_AddArrayLine("Sholazar Basin","River's Heart",1,45902,nil,0,13830);--Phantom Ghostfish(The Ghostfish)
DailyItem_AddArrayLine("Tol Barad Peninsula","The Restless Front",1,62829,nil,0,27992);--Magnetised Scrap Collector(Magnets)
DailyItem_AddArrayLine("Tol Barad Peninsula","The Restless Front",1,62829,nil,0,28692);--Magnetised Scrap Collector(Magnets)
DailyItem_AddArrayLine("The Storm Peaks","Fjorn's Anvil",1,42246,nil,0,12981);--Essence of Ice(Hot and Cold)
DailyItem_AddArrayLine("The Storm Peaks","Garm's Bane",1,46885,"Snowblind Follower",1,14090);--Weighted Net(Gormok Wants His Snobolds)
DailyItem_AddArrayLine("The Storm Peaks","Garm's Bane",1,46885,"Snowblind Follower",1,14141);--Weighted Net(Gormok Wants His Snobolds)
DailyItem_AddArrayLine("The Storm Peaks","Thunderfall",1,42164,nil,0,12977);--Hodir's Horn(Blowing Hodir's Horn)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",1,42769,"Wild Wyrm",1,13003);--Spear of Hodir(Thrusting Hodir's Spear)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",1,42479,"Corpse of the Fallen Worg",0,12994);--Ethereal Worg's Fang(Spy Hunter)
DailyItem_AddArrayLine("The Storm Peaks","Valley of Ancient Winters",1,42774,"Roaming Jormungar",1,13046);--Arngrim's Tooth(Feeding Arngrim)
DailyItem_AddArrayLine("The Storm Peaks","The Forlorn Mine",1,42837,"Exhausted Vrykul",1,12906);--Disciplining Rod(Discipline)
DailyItem_AddArrayLine("The Storm Peaks","The Pit of the Fang",1,42499,nil,0,13424);--Reins of the Warbear Matriarch(Back to the Pit)
DailyItem_AddArrayLine("The Storm Peaks","The Pit of the Fang",1,42499,nil,0,12997);--Reins of the Warbear Matriarch(Into the Pit)
DailyItem_AddArrayLine("The Storm Peaks",nil,0,46893,nil,1,14076);--Earthshaker Drum(Breakfast Of Champions)
DailyItem_AddArrayLine("The Storm Peaks",nil,0,46893,nil,1,14092);--Earthshaker Drum(Breakfast Of Champions)

-- ToC Lances

DailyItem_AddArrayLine("Trial of the Champion",nil,1,46069,nil,0,nil);--Alliance Lance()
DailyItem_AddArrayLine("Trial of the Champion",nil,1,46070,nil,0,nil);--Horde Lance()
DailyItem_AddArrayLine("Trial of the Champion",nil,1,46106,nil,0,nil);--Argent Lance()

-- Cata

DailyItem_AddArrayLine("Twilight Highlands","Verrall River",1,62775,"Thundermar War Gryphon",1,27929);	-- Barbed Fleshhook (Drag 'em Down)
DailyItem_AddArrayLine("Twilight Highlands","Verrall River",1,62775,"Thundermar War Gryphon",1,28874);	-- Barbed Fleshhook (Hook 'em High)
DailyItem_AddArrayLine("Uldum","Tahret Grounds",1,63351,nil,0,28250);									-- Tahret Dynasty Mallet (Thieving Little Pluckers)
DailyItem_AddArrayLine("Zul'Drak","Drak'Sotra,Kolramas",1,38556,nil,0,12568);							-- Incinerating Oil (Troll Patrol: Done to Death)

-- The Occulus Drakes

DailyItem_AddArrayLine(nil,nil,1,37815,nil,0,nil);	-- Emerald Essence ()
DailyItem_AddArrayLine(nil,nil,1,37860,nil,0,nil);	-- Ruby Essence ()
DailyItem_AddArrayLine(nil,nil,1,37859,nil,0,nil);	-- Amber Essence ()

-- Now for items you will use again and again in PvP battles:

DailyItem_AddArrayLine("Strand of the Ancients",nil,1,39213,nil,0,nil);	-- Massive Seaforium Charge ()
DailyItem_AddArrayLine("Wintergrasp",nil,1,42986,nil,0,nil);			-- The RP-GG ()
DailyItem_AddArrayLine("Isle of Conquest",nil,1,46847,nil,0,nil);		-- Seaforium Bombs ()
DailyItem_AddArrayLine("Isle of Conquest",nil,1,47030,nil,0,nil);		-- Huge Seaforium Bombs ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17690,nil,0,nil);			-- Frostwolf Insignia Rank 1 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17905,nil,0,nil);			-- Frostwolf Insignia Rank 2 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17906,nil,0,nil);			-- Frostwolf Insignia Rank 3 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17907,nil,0,nil);			-- Frostwolf Insignia Rank 4 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17908,nil,0,nil);			-- Frostwolf Insignia Rank 5 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17909,nil,0,nil);			-- Frostwolf Insignia Rank 6 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17691,nil,0,nil);			-- Stormpike Insignia Rank 1 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17900,nil,0,nil);			-- Stormpike Insignia Rank 2 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17901,nil,0,nil);			-- Stormpike Insignia Rank 3 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17902,nil,0,nil);			-- Stormpike Insignia Rank 4 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17903,nil,0,nil);			-- Stormpike Insignia Rank 5 ()
DailyItem_AddArrayLine("Alterac Valley",nil,1,17904,nil,0,nil);			-- Stormpike Insignia Rank 6 ()

-- Other repeated stuff

DailyItem_AddArrayLine("Nagrand","Halaa",1,24538,nil,0,nil);				--Fire Bomb (Halaa)
DailyItem_AddArrayLine("Nagrand","Halaa",1,38556,nil,0,nil);				--Incinerating Oil (Halaa)
DailyItem_AddArrayLine("The Culling of Stratholme",nil,1,37888,nil,0,nil);	--Arcane Disruptor (Culling of Stratholme)
DailyItem_AddArrayLine("Ulduar","Spark of Imagination",1,46029,nil,0,nil);	--Magnetic Core (Ulduar Mimiron)
DailyItem_AddArrayLine("Icecrown Citadel",nil,1,49278,nil,0,nil);			--Goblin Rocket Pack (ICC Gunship)
DailyItem_AddArrayLine("Icecrown Citadel",nil,1,50851,nil,0,nil);			--Pulsing Life Crystal (ICC Random Quest)

DailyItem_AddArrayLine("The Cape of Stranglethorn","Battle Ring",1,60387,nil,0,nil);			-- Gurubashi Challenge Flag ()

DailyItem_AddArrayLine("Molten Front",nil,1,70925,nil,0,nil);									-- Eternal Lunar Pear (Agility)
DailyItem_AddArrayLine("Molten Front",nil,1,70924,nil,0,nil);									-- Eternal Eye of Elune (Intellect)
DailyItem_AddArrayLine("Molten Front",nil,1,70926,nil,0,nil);									-- Eternal Moonberry (Spirit)
DailyItem_AddArrayLine("Molten Front",nil,1,70927,nil,0,nil);									-- Eternal Sunfruit (strength)
DailyItem_AddArrayLine("Molten Front",nil,1,69832,"Druid of the Flame",2,29297);				-- Burd Sticker (Bye Bye Burdy)
DailyItem_AddArrayLine("Molten Front","Ashen Fields",1,69240,"Wounded Hyjal Defender",1,29138);	-- Enchanted Salve (Burn Victems)
DailyItem_AddArrayLine("Molten Front","Magma Springs",1,69759,nil,0,29263);						-- The Bitter Pill (A Bitter Pill)

DailyItem_AddArrayLine("Mount Hyjal",nil,0,69235,nil,1,29165);				-- Fang of the Wolf			(Call of the Pack)
DailyItem_AddArrayLine("Mount Hyjal",nil,0,69225,nil,1,29165);				-- Fang of the Wolf			(Call of the Pack)
DailyItem_AddArrayLine("Mount Hyjal",nil,0,69235,nil,1,29164);				-- Fang of the Wolf			(Perfectng Your Howl)
DailyItem_AddArrayLine("Mount Hyjal",nil,0,69225,nil,1,29164);				-- Fang of the Wolf			(Perfectng Your Howl)
DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",1,68997,nil,0,29126);	-- Guardian's Staff			(The Power of Malorne)
DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",1,69234,nil,0,29147);	-- Quill of the Bird-Queen	(Call the Flock)
DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",1,69212,nil,0,29148);	-- Quill of the Bird-Queen	(Wings Aflame)
DailyItem_AddArrayLine("Mount Hyjal","The Regrowth",1,69232,nil,0,29162);	-- Emerald of Aessina		(Nature's Blessing)

DailyItem_AddArrayLine("City of Ironforge",nil,1,"Spice Bread","Cooking",16,29355);	--Can't get enough spice bread()

-- Darkmoon Fair

DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71964,nil,0,29508);					--Iron Stock (Baby Needs Two Pair of Shoes)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71967,nil,0,29508);					--HorseShoe (Baby Needs Two Pair of Shoes)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71971,nil,0,29515);					--Bundle of Exotic Herbs (Writing the Future)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71972,nil,0,29515);					--Prophetic Ink (Writing the Future)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71977,nil,0,29517);					--Darkmoon Craftsman's Kit (Eye on the Prizes)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,71978,"Injured Carnie",2,29512);	--Darkmoon Bandage (Putting the Carnies Back Together Again)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72018,nil,0,29510);					--Discarded Weapen (Putting Trash to good use)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72043,nil,0,29506);					--Cocktail Shaker (A Fizzy Fusion)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72048,nil,0,29520);					--Darkmoon Banner Kit (Banners, Banners Everywhere!)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72049,nil,0,29520);					--Darkmoon Banner (Banners, Banners Everywhere!)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72052,nil,0,29516);					--Bits of Glass (Keeping the Faire Sparkling)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72056,nil,0,29509);					--Plump Frog (Putting the Crunch in the frog)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72057,nil,0,29509);					--Breaded Frog (Putting the Crunch in the frog)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,72110,nil,0,29511);					--Battered Wrench (Talkin Tonks)
DailyItem_AddArrayLine("Darkmoon Island","The Darkmoon Faire",1,78910,nil,0,nil);					--Sack o' Tokens

DailyItem_AddArrayLine("Winterspring",nil,1,68646,nil,0,29034);	-- Winterspring Cub (They Grow up so Fast)
DailyItem_AddArrayLine("Winterspring",nil,1,68663,nil,0,29040);	-- Tough Yeit Hide (Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,68668,nil,0,29040);	-- Winterspring Cat Toy (Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,68663,nil,0,29051);	-- Tough Yeit Hide (Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,68668,nil,0,29051);	-- Winterspring Cat Toy (Cub's First Toy)
DailyItem_AddArrayLine("Winterspring",nil,1,12622,nil,0,29035);	-- Shardtooth Meat (A Cub's Cravings)
DailyItem_AddArrayLine("Winterspring",nil,1,12622,nil,0,29052);	-- Shardtooth Meat (A Cub's Cravings)
DailyItem_AddArrayLine("Winterspring",nil,1,68645,nil,0,29053);	-- Smoked Meat ('Borrowing' From the Winterfall)
DailyItem_AddArrayLine("Winterspring",nil,1,68645,nil,0,29037);	-- Smoked Meat ('Borrowing' From the Winterfall)
DailyItem_AddArrayLine(nil,nil,1,34833,nil,0,nil);				-- Unlit Torches (More Torch Catching)

DailyItem_AddArrayLine("Darnassus",nil,1,69904,nil,0,nil);					-- Uncooked Ribs (Rins for the Sentinals)
DailyItem_AddArrayLine("Darnassus",nil,1,69906,"Darnassus Sentinal",1,nil);	-- Delicous Ribs (Rins for the Sentinals)
DailyItem_AddArrayLine(nil,nil,1,34862,nil,0,nil);							-- Practice Torches (Torch Tossing)

DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46102,nil,0,13906);			-- Whistle of the Venomhide Ravasaur (They Grow up so Fast)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46381,nil,0,13914);			-- Searing Roc Plumage (Searing Roc Feathers)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46381,nil,0,13905);			-- Searing Roc Plumage (Searing Roc Feathers)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46367,nil,0,13889);			-- Fresh Dinosaur Meat (Hungry, Hungry Hatchling)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46367,nil,0,13915);			-- Fresh Dinosaur Meat (Hungry, Hungry Hatchling)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46380,nil,0,13903);			-- Silithid Meat (Gorishi Grub)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46380,nil,0,13917);			-- Silithid Meat (Gorishi Grub)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46382,nil,0,13904);			-- Silithid Egg (Poached, Scrambled, Or Raw?)
DailyItem_AddArrayLine("Un'Goro Crater",nil,1,46382,nil,0,13916);			-- Silithid Egg (Poached, Scrambled, Or Raw?)
DailyItem_AddArrayLine("Firelands Hatchery","",1,52716,nil,0,25523);		-- Twilight Firelance (Flight in The firelands)
DailyItem_AddArrayLine("Firelands Hatchery","",1,52716,nil,0,29177);		-- Twilight Firelance (Vigilance on Wings)

-- Pandaria

DailyItem_AddArrayLine("Townlong Steppes","Niuzao Temple",1,82381,"Wounded Niuzao Sentinel",1,30953);	-- Yak's Milk Flask (Fallen Sentinels)
DailyItem_AddArrayLine("Townlong Steppes","Shan'ze Dao",1,83134,"Shan'ze Cloudrunner",2,31061);			-- Bronze Claws (Riding the Storm)
DailyItem_AddArrayLine("Townlong Steppes","Gai-Cho Battlefield",1,84762,nil,0,31119);					-- Highly Explosive Yaungol Oil (The Enemy of My Enemy... Is Still My Enemy!)
DailyItem_AddArrayLine("Townlong Steppes","Sra'vess",1,86532,nil,0,31200);								-- Bag of Shado-Pan Gas Bombs ([Fumigation])
DailyItem_AddArrayLine("Townlong Steppes","Niuzao Temple",1,82346,nil,0,30959);							-- Pot of Fire (The Big Guns)

DailyItem_AddArrayLine("Valley of the Four Winds","Kunzen Village",1,79885,nil,0,30337);				-- Barrel of Fireworks (Simian Sabotage)
DailyItem_AddArrayLine("Valley of the Four Winds","Skyrange,Kunzen Village",1,80127,nil,0,30330);		-- Shadelight Truffle Spores (The Truffle Shuffle)
DailyItem_AddArrayLine("Valley of the Four Winds","Kunzen Village",1,79895,nil,0,30331);				-- Master's Pot (The Mile-High Grub)
DailyItem_AddArrayLine("Valley of the Four Winds","The Heartland",1,nil,"Ugly Weed",2,30321);			-- (Weed Wares II)
DailyItem_AddArrayLine("Valley of the Four Winds","The Heartland",1,nil,"Black-Nose Marmot",2,310319);	-- (Pest Problems)
DailyItem_AddArrayLine("Valley of the Four Winds","The Heartland",0,nil,"Hillpaw's Chicken",1,30318);	-- (Chasing the Chicken)

DailyItem_AddArrayLine(nil,nil,1,70727,nil,0,29375);							--Arcane Cleanser (Cleanup in Undercity)
DailyItem_AddArrayLine("Stormwind City",nil,1,69191,nil,0,29144);				--Arcane Cleanser (Cleanup in Stormwind)
DailyItem_AddArrayLine("Undercity","Ruins of Lordaeron",1,68648,nil,0,29371);	--Dousing Agent (A Time to Lose)
DailyItem_AddArrayLine("Elwyn Forest",nil,1,68647,nil,0,29377);					--Dousing Agent (A Time to Break Down)

DailyItem_AddArrayLine("Krasarang Wilds",nil,1,80303,nil,0,30598);										-- Pristine Crane Egg (Who Knew Fish Liked Eggs)
DailyItem_AddArrayLine("Krasarang Wilds",nil,1,80403,nil,0,30613);										-- Angler's Fishing Spear(Armored Carp)
DailyItem_AddArrayLine("Krasarang Wilds","Sarjun Depths",1,80403,nil,0,30658);							-- Angler's Fishing Spear(Huff & Puff)
DailyItem_AddArrayLine("Krasarang Wilds","Sandy Shallows",1,80599,nil,0,30678);							-- Goblin Fishing Bomb (Like Bombing Fish In A Barrel)
DailyItem_AddArrayLine("Krasarang Wilds","Domination Point,Bilgewater Beach",1,93187,nil,0,32154);		-- Unstable Explosive (Burn Out!)
DailyItem_AddArrayLine("Krasarang Wilds","Domination Point",1,92019,"Skyfire Gyrocopter X2",1,32235);	-- The Bilgewater Molotov (Flash! Aaaaaahhhh!)
DailyItem_AddArrayLine("Krasarang Wilds","Quickchop's Lumber Farm,Bilgewater Beach",1,93180,"Jungle Shredder",1,32446);	-- Re-Configured Remote (Dis-Assembly Required)
DailyItem_AddArrayLine("Krasarang Wilds","Quickchop's Lumber Farm,Oregrind's Dig,Bilgewater Beach",1,93026,"Agitated Shale Spider",1,32236);	-- Handy-Dandy Bug Off Sprayer (Bug Off!)
DailyItem_AddArrayLine("Daxil's Dig","",1,93026,"Agitated Shale Spider",1,32236);	-- Handy-Dandy Bug Off Sprayer (Bug Off!)

DailyItem_AddArrayLine("Vale of Eternal Blossoms","The Emperor's Approach",1,84242,"Wounded Defender",1,30312);--Shado-Pan Bandages(Given a Second Chance)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Mistfall Village",1,85950,nil,0,30288);--Mistfall Water Bucket(My Town)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Mistfall Village",1,85782,nil,0,30192);--Mistfall Water Bucket(My Town)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","The Golden Stair",1,89123,nil,0,31754);--Wu Kao Explosive(Cannonfire)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Whitepetal Lake",1,89366,nil,0,30341);--Shado-Pan Flare(Under Watchful Eyes)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Jin Yang Road",1,79344,nil,0,30231);--Pomharvest Firework(Pomfruit Pickup)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Ruins of Guo-Lai",1,85261,nil,0,30204);--Shado-Pan Torch(That's Not a Rock!)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Whitepetal Lake",1,84781,nil,0,30282);--Shado-Pan Torch(Burning Away the Filth)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","The Golden Stair",1,nil,"Lao Softfoot",2,31758);		-- (Laosy Scouting)
DailyItem_AddArrayLine("Vale of Eternal Blossoms","Ruins of Guo-Lai",1,85581,nil,0,30301);				-- Shado-Pan Torch (Offering a Warm Welcome)

DailyItem_AddArrayLine("Dread Wastes","The Clutches of Shek'zeer",1,87394,nil,0,31487);--Sonic Disruption Fork(Sonic Disruption)
DailyItem_AddArrayLine("Dread Wastes","Terrace of Gurthan",1,82807,nil,0,31235);--Shado-Pan Dragon Gun(Nope Nope Nope)
DailyItem_AddArrayLine("Dread Wastes","Chittering Coast",1,85884,nil,0,31268);							-- Sonic Emitter (A Little Brain Work)
DailyItem_AddArrayLine("Dread Wastes","Zan'vess",1,87841,nil,0,31507);--Korven's Experimental Grenades(Meltdown)
DailyItem_AddArrayLine("Dread Wastes","Heart of Fear",1,87400,nil,0,31496);								-- Sap Jar (Sampling the Empire's Finest)

DailyItem_AddArrayLine("The Jade Forest","Jade Temple Grounds",1,77475,"Yu'lon Guardian,Yu'lon Adept",3,30066);--Stack of Mantras(Hidden Power)
DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,72985,"Injured Hatchling",2,30148);--Windwool Bandages(Just a Flesh Wond)
DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,72986,"Injured Hatchling",2,30148);--Heavy Windwool Bandages(Just a Flesh Wond)
DailyItem_AddArrayLine("The Jade Forest","The Widow's Wail",1,88966,nil,0,31709);						-- Sha Attunement Device (Lingering Doubt)
DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,72986,"Injured Hatchling",1,30148);			-- Heavy Windwool Bandage (Just a Flesh Wound)
DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,72985,"Injured Hatchling",1,30148);			-- Windwool Bandage (Just a Flesh Wound)
DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,78947,"Windward Hatchling",1,30157);			-- Silken Rope (Emptier Nests)
DailyItem_AddArrayLine("The Jade Forest",nil,5,79028,nil,0,30156);										-- Saltback Meat Scrap (Feeding Time)
DailyItem_AddArrayLine("The Jade Forest","Windward Isle",1,79027,"Azure Hatchling",1,30156);			-- Saltback Meat (Feeding Time)

DailyItem_AddArrayLine("Isle of Thunder","The Beast Pens",1,93668,"Stunted,Adolescent,Trained,Loa-Infused,Maturing",2,32298);	-- Saur Fetish (Dino Might)
DailyItem_AddArrayLine("Isle of Thunder","Hall of the Exalted",1,93751,"Mummified Remains",2,32218);	-- Blessed Torch (Ashes of the Enemy)
DailyItem_AddArrayLine("Isle of Thunder","Conqueror's Terrace",1,93806,"Spirit-Bound Sentry",4,32493);	-- Resonance Siphon (They All Fall Down)
DailyItem_AddArrayLine("Isle of Thunder","Lightning Vein Mine",1,93761,"Scout",2,32209);				-- Arcane Emancipator (Save Our Scouts!)
DailyItem_AddArrayLine("Isle of Thunder","Court of Bones",1,93751,"Mummified Remains",2,32218);			-- Blessed Torch (Ashes of the Enemy)
DailyItem_AddArrayLine("Isle of Thunder","Hall of the Exalted",1,93803,nil,0,32226);					-- Incantation of Gura (Into the Crypts)

DailyItem_AddArrayLine("Siege of Orgrimmar",nil,1,105931,nil,0,33375);									-- Vision of Time (Refining the Vision)

-- 8.0.1 World Quests
DailyItem_AddArrayLine("Drustvar","Corlain",1,160557,"Cursed Gyrfalcon",1,nil);					-- Pungent Onion (A Smelly Solution)
DailyItem_AddArrayLine("Nazmir","Primal Wetlands",1,157847,nil,0,nil);							-- Firestick (Scorched Earth)
DailyItem_AddArrayLine("Nazmir","Primal Wetlands",1,159761,"Primal Skyterror",1,nil);			-- Grappling Hook (Uanccounted For)
-- DailyItem_AddArrayLine("Stormsong Valley","The Precipice of Oblivion",1,163212,nil,0,nil);				-- Cleansing Thurible (Misplaced Faith)
DailyItem_AddArrayLine("Stormsong Valley","Seawatch Point",1,160739,"7th Legion Bomber",1,nil);	-- Goblin Rocket Launcher (They Came From Behind!)
DailyItem_AddArrayLine("Tiragarde Sound","Freehold",1,154878,"Runaway Macaw",1,nil);			-- Rodrigo's Birdseed Biscuit (Polly Want A Cracker?)
DailyItem_AddArrayLine("Vol'dun","Redsilt Wash",1,159796,nil,0,nil);							-- Meatification Potion (Instant Meat, Ready to Eat)
DailyItem_AddArrayLine("Vol'dun","Arid Basin",1,160870,nil,0,nil);								-- Torch (Spider Scorching)
DailyItem_AddArrayLine("Zuldazar","Terrace of the Chosen,House of the Lost Loa",1,160307,"Zanchuli Acolyte",1,nil);	-- Raal's Hexing Stick (Hex Education)
DailyItem_AddArrayLine("Zuldazar","Warport Rastari",1,157858,nil,0,nil);						-- Rastari Skull Whistle (Rally the Rastari)
DailyItem_AddArrayLine("Zuldazar","The Preserve",1,158067,"Ankylodon,Ankylodon Bull,Venomous Diemetradon",0,50574);	-- Potent Innoculation Dart (Preservation Methods)
DailyItem_AddArrayLine("Zuldazar","The Forward Guard,Talanji's Rebuke",0,nil,"7th Legion Gyropilot",1,54162);	-- Boomo-o-Matic (Hard Landing)

-- 8.2.0 World Quests
DailyItem_AddArrayLine("Nazjatar",nil,1,168407,"Sandclaw Crab,Muck Creeper",1,55871);			-- Friendship Net (Gather Friends)
DailyItem_AddArrayLine("Nazjatar","Coral Grove,Coral Forest",1,168253,"Fathom Ray,Fathom Ray Broodkeeper,Bloated Sky Ray",1,55715);	-- Fathom Hook (Feed Them All)
DailyItem_AddArrayLine("Nazjatar","Coral Forest",1,168425,nil,0,55883);							-- Swim Jet (To Soar Like a Ray)
DailyItem_AddArrayLine("Nazjatar","The Hanging Reef",1,168432,nil,0,55872);						-- Telemancy Beacon (Deepcoil Experiments)
DailyItem_AddArrayLine("Nazjatar","Deepcoil Tunnels",1,168634,nil,0,55973);						-- Telemancy Beacon (Deepcoil Experiments)
DailyItem_AddArrayLine("Nazjatar","Coral Forest",1,168482,nil,0,55874);							-- Benthic Sealant (Plug the Geysers)
DailyItem_AddArrayLine("Nazjatar","Ashen Strand",1,168482,nil,0,55875);							-- Benthic Sealant (Plug the Geysers)
DailyItem_AddArrayLine("Nazjatar","Spears of Azshara",1,168482,nil,0,55876);					-- Benthic Sealant (Plug the Geysers)
DailyItem_AddArrayLine("Nazjatar","Dragon's Teeth Basin",1,168482,nil,0,55877);					-- Benthic Sealant (Plug the Geysers)
DailyItem_AddArrayLine("Nazjatar","Zin-Azshari",1,168482,nil,0,55878);							-- Benthic Sealant (Plug the Geysers)
DailyItem_AddArrayLine("Nazjatar","Zanj'ir Terrace",1,168753,nil,0,55967);						-- Chitterspine Roe (Sating Snapdragons - Horde)
DailyItem_AddArrayLine("Nazjatar","Zanj'ir Terrace",1,168753,nil,0,55600);						-- Chitterspine Roe (Sating Snapdragons - Alliance)
DailyItem_AddArrayLine("Nazjatar","Nar'anan",1,168525,"Snapdragon Terrormaw",1,55661);			-- Poison Globule (Fighting Venomous with Venom)

-- 8.2.0 events that have no actual quest behind them
DailyItem_AddArrayLine("Nazjatar","Abyssal Pool",1,167059,nil,0,nil);							-- Chum
DailyItem_AddArrayLine("Nazjatar","Abyssal Pool",1,167060,nil,0,nil);							-- Chum (5 min Duration)
DailyItem_AddArrayLine("Nazjatar","Newhome",1,167916,nil,0,nil);								-- Dirty Murloc Sock (You need to be swimming but this won't check)

DailyItem_AddArrayLine("Mechagon",nil,1,168183,nil,0,55575);									-- Rare Metal Collector (One Gnome's Trash)
DailyItem_AddArrayLine("Mechagon",nil,1,169816,"Malfunctioning,Mechanized,Sawblade,Upgraded,Scrapbone,Malfunctioning",2,56572);	-- Quasi-Faceted Scanner (Toys Like Us)
DailyItem_AddArrayLine("Mechagon",nil,1,168813,"Clockwork Giant",1,55816);						-- Robotic-Memory Recorder (The Other Place)
DailyItem_AddArrayLine("Mechagon",nil,1,168430,"Mechagon Containment Crate",1,55905);			-- Clobberbottom's Boomer (Abduction Reduction)
DailyItem_AddArrayLine("Mechagon","The Fleeting Forest",1,169681,"Venture Co. Transport",1,56501);	-- BOOM-TASTIC 3000 (Taking The Air Out)
--DailyItem_AddArrayLine("Mechagon","The Heaps",1,168122,nil,0,55880);							-- NRG-100 (Redistribution of Power)

DailyItem_AddArrayLine("Vale of Eternal Blossoms",nil,1,174927,"Ivory Cloud Serpent",1,nil);	-- Zan-Tien Lasso (Ivory Cloud Serpent)

-- 9.0.2 Shadowlands Quests
DailyItem_AddArrayLine("Revendreth","Blistering Bog",1,177880,nil,0,59808);
DailyItem_AddArrayLine("Revendreth","Crypt of the Forgotten",1,174655,nil,0,nil);				-- Bell of Remembrance (Seal of the Forgotten)

DailyItem_AddArrayLine("Ardenweald","Dusty Burrows",1,180274,nil,0,60770);
DailyItem_AddArrayLine("Ardenweald","Elder Stand",5,180009,nil,0,60609);
DailyItem_AddArrayLine("Ardenweald","Elder Stand",1,180008,nil,0,60609);
DailyItem_AddArrayLine("Ardenweald","Eventide Grove",1,180170,"Enervated Spirit",1,60649);

DailyItem_AddArrayLine("Maldraxxus","Akarek's Tears,Nurakkir",nil,nil,"Salvage Hauler",1,58221);
DailyItem_AddArrayLine("Maldraxxus","Bony Spindles",1,174043,nil,0,61708);
DailyItem_AddArrayLine("Maldraxxus","The Stitchyard",1,174110,nil,0,58437);
DailyItem_AddArrayLine("Maldraxxus","Glutharn's Decay",1,180876,nil,0,61189);					-- Aqueous Material Accumulator (Further Gelaenous Research)
DailyItem_AddArrayLine("Maldraxxus","",1,180876,nil,0,61189);									-- Aqueous Material Accumulator (Further Gelaenous Research)
DailyItem_AddArrayLine("Maldraxxus","",1,180810,nil,0,61141);									-- Throwin' Skull (Deathfang's Favourite Toy)

DailyItem_AddArrayLine("Bastion","Xandria's Vigil",1,nil,"Flayedwing Wraith",1,60929);
DailyItem_AddArrayLine("Bastion","Temple of Humility",3,182457,nil,0,61967);
DailyItem_AddArrayLine("Bastion","Garden of Respite",1,183045,nil,0,62235);

DailyItem_AddArrayLine("The Maw","Zovaal's Cauldron",1,184622,"Armored Husk",1,63206);
DailyItem_AddArrayLine("The Maw","Zovaal's Cauldron",1,180280,nil,0,60775);

-- Revendreth Sinstones
DailyItem_AddArrayLine("Revendreth","Halls of Atonement",1,172996,"Inquisitor Sorin",1,nil);
DailyItem_AddArrayLine("Revendreth","Halls of Atonement",1,172997,"Inquisitor Petre",1,nil);
DailyItem_AddArrayLine("Revendreth","Halls of Atonement",1,172998,"Inquisitor Otilia",1,nil);
DailyItem_AddArrayLine("Revendreth","Halls of Atonement",1,172999,"Inquisitor Traian",1,nil);
DailyItem_AddArrayLine("Revendreth","Halls of Atonement",1,173001,"High Inquisitor Radu",1,nil);
DailyItem_AddArrayLine("Revendreth","Halls of Atonement",1,173006,"High Inquisitor Dacian",1,nil);

-- 9.0 The Maw
DailyItem_AddArrayLine("The Maw","Perdition Hold",1,184513,nil,0,63038);
DailyItem_AddArrayLine("The Maw","Zovaal's Cauldron,,Detrithos",1,185775,"Exhausted Protector",1,63827);
DailyItem_AddArrayLine("The Maw","The Tremaculum",1,186089,"Ghastly,Mawsworn",4,63840);
DailyItem_AddArrayLine("The Maw","The Tremaculum",1,185949,"Mawsworn Skylurker",1,63841);

-- 9.1.0 Korthia
DailyItem_AddArrayLine("Korthia","Seeker's Quorum,",1,186474,"Mawsworn Harbinger",1,64080);
DailyItem_AddArrayLine("Korthia","",1,186561,"Hungry Gromit",1,64104);
DailyItem_AddArrayLine("Korthia","Estuary of Awakening,Hope's Ascent",1,186672,nil,0,64166);
DailyItem_AddArrayLine("Korthia","Seeker's Quorum",1,187504,"Fae Enchanter,Prime Bladeguard,Kyrian Guardian,Stoneborn Enforcer",1,64562);
DailyItem_AddArrayLine("Korthia","Seeker's Quorum",1,186448,"Fae Enchanter,Prime Bladeguard,Kyrian Guardian,Stoneborn Enforcer",1,64043);
DailyItem_AddArrayLine("Korthia","Hope's Ascent",1,187353,"Shardhide",2,64430);
DailyItem_AddArrayLine("Korthia","",0,nil,"Drab Gromit",1,63784);

-- 9.2.0 Zereth Mortis
DailyItem_AddArrayLine("Zereth Mortis","",1,187684,"Forgotten Geomental,Giaigantic",2,64785);			-- Overgrown Story
DailyItem_AddArrayLine("Zereth Mortis","The Great Veldt",1,188697,"Malfunctioned Poultrid",1,65256);	-- Cluck, Click, Boom
DailyItem_AddArrayLine("Zereth Mortis","Provis Fauna",0,nil,"Frightened Vombata Cub",1,65262);			-- Save the Vombata
DailyItem_AddArrayLine("Zereth Mortis","Provis Esper",1,189554,"Wild Proto Avian",1,65264);				-- Operation : Relocation
DailyItem_AddArrayLine("Zereth Mortis","Droning Precipice",1,188788,nil,0,65268);						-- Bzzzzt!

end
--[[
This is the array containing the data: 

1 - Zone:- Zone you are in, nil  means it doesn't matter 
2 - SubZone:- Subzone you are in, nil  means it doesn't matter 
3 - Amount:- Number of the items needed
4 - Item:- Item number to search for in bags and equipped
5 - Target:- NPC that should be targeted
6 - Aim:- Whether to target the NPC if not already
	1 = Targetexact
	2 = Target
	4 = Dead
7 - Quest:- Only use the item if quest is active and not completed (completed if neg)

The further down the list the higher the priority (by overwriting previous ones)
--]]
